//===============================================================================
//
// OpenDCC - BiDiB for MobaLiSt
//
// Copyright (c) 2010 Wolfgang Kufer
// This source file is subject of the GNU general public license 2,
// that is available at the world-wide-web at
// http://www.gnu.org/licenses/gpl.txt
//
//
//-------------------------------------------------------------------------------
//
// file:      bidib_client_parser.c
// author:    Wolfgang Kufer
// contact:   kufer@gmx.de
// webpage:   http://www.opendcc.de
// history:   2008-09-15 V0.01 kw  start
//            2009-02-12 V0.02 kw  ported to throttle
//            2009-02-28 V0.03 kw  surveillance of xpressnet (timeout 500ms)
//            2009-03-01 V0.04 kw  extended loco functions
//            2009-06-30 V0.05 kw  added fast time command
//            2010-12-19 V0.06 kw  added BiDi-CV Read
//
//-------------------------------------------------------------------------------
//
// purpose:   BiDiB-S88 Bridge
//            
//            here: BiDiB client
//
// ====== >>>> config.h  is the central definition file for the project
//             bidib_client_hardware.h is our hardware
//
//===============================================================================


#include <stdlib.h>
#include <stdbool.h>
#include <stdio.h>                 // using sscanf and sprintf increases prog. by 4k!
#include <inttypes.h>
#include <avr/pgmspace.h>          // put var to program memory
#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/eeprom.h>
#include <util/delay.h>

#include <string.h>

#include "config.h"                // general structures and definitions


#if (SEMAPHOR_IO == 1)
  #define Communicate TWBR                // use the TWBR for Flags
#else
  volatile unsigned char Communicate;
#endif


unsigned char const copy[] PROGMEM = {".....   OpenDCC BiDiB MobaLiSt v1.5.0 (c) Kufer, www.opendcc.de, 2012, 2013  ....."};


// .4 EEPROM



t_cv_record CV EEMEM =
  {
    #include "cv_data.h"
  };

t_cv_record CVram =
  {
    // #include "cv_data.h"
  };

const t_cv_record CV_PRESET PROGMEM =
  {
    #include "cv_data.h"
  };

// we init the clock to false values - this will suppress display if
// don't get a valid fast clock from the command station

t_fast_clock  fast_clock =
  {
    99,
    99,
    99,
    99,
  };


