//------------------------------------------------------------------------------
//
// OpenDCC - Cooperative Simple Task Scheduler
//
// Copyright (c) 2008, 2009 Kufer
//
// This source file is subject of the GNU general public license 2,
// that is available at the world-wide-web at
// http://www.gnu.org/licenses/gpl.txt
// 
//-----------------------------------------------------------------------------
//
// file:      cortos_fifolist.h
// author:    Wolfgang Kufer
// contact:   kufer@gmx.de
// webpage:   http://www.opendcc.de
// history:   2009-09-12 V0.1 kw started
//
//-----------------------------------------------------------------------------
//
// purpose:   A small and tiny cooperative scheduler
//
//------------------------------------------------------------------------------
// Interface Guide:
//  #include "cortos.h"
//  #define BUF_SIZE 8
//  uint8_t buffer[BUF_SIZE];
//  cr_fifo_t my_fifo;
//  ...
//  fifo_init (&my_fifo, buffer, BUF_SIZE);       
//  ...
//  Producer:   uint8_t zeichen = ...;
//              cr_fifo_put (&fifo, zeichen);
//  Consumer:   zeichen = cr_fifo_get_wait (&fifo);
//------------------------------------------------------------------------------


#ifndef _CORTOS_FIFOLIST_H_
#define _CORTOS_FIFOLIST_H_

#include <avr/io.h>
#include <avr/interrupt.h>


//------------------------------------------------------------------------------
//
// FIFO Objects
//
//------------------------------------------------------------------------------


extern cr_fifo_t key_fifo;
extern uint8_t key_fifo_buf[8];


#endif /* _CORTOS_FIFOLIST_H_ */

