//===============================================================================
//
// OpenDCC - BiDiB for MobaLiSt
//
// Copyright (c) 2010 Wolfgang Kufer
//
// This source file is subject of the GNU general public license 2,
// that is available at the world-wide-web at
// http://www.gnu.org/licenses/gpl.txt
//
//-------------------------------------------------------------------------------
//
// file:      cv_data.h
// author:    Wolfgang Kufer
// contact:   kufer@gmx.de
// webpage:   http://www.opendcc.de
// history:   2011-02-14 V0.1 kw start
// 
//===============================================================================
//
// purpose:   
//
//===============================================================================
//
//            This is the data definition for the cv-structure
//            This file is included in config.c.
//            (twice: as cv and as preset)
//
//------------------------------------------------------------------------
//
// content:   1. raw data (CV content)
//
//===============================================================================
//
// Hinweis: hier kein eeprom fuer restore_accessory, das machen wir immer.

// Content          Name            CV     comment
   {
    0x01,         // unsigned char ee_version;          //  1  Version (of eeprom content)
    0x0D,         // unsigned char vid;                 //  2  Vendor ID (0x0D = DIY Decoder, 0x12 = JMRI, 0x3E = TAMS)
    HW_VERSION,   // unsigned char pid_l;               //  3  Product ID
    0x00,         // unsigned char pid_h;               //  4  Product ID
    MAIN_VERSION, // unsigned char main_version;        //  5  software
    SUB_VERSION,  // unsigned char sub_version;         //  6  software
    COMPILE_RUN,  // unsigned char compile_run;         //  7  software
    {'u','s','e','r','n','a','m','e','?',0},
    0x00,         // unsigned char res1;                // 33  reserved
    0x00,         // unsigned char res2;                // 34  reserved
    0x00,         // unsigned char res3;                // 35  reserved
    0x00,         // unsigned char res4;                // 36  reserved
    0x00,         // unsigned char res5;                // 37  reserved
    0x00,         // unsigned char res6;                // 38  reserved
    0x00,         // unsigned char res7;                // 39  reserved
    0x00,         // unsigned char res8;                // 40  reserved
   }, 
   {
      24,                           // FEATURE_CTRL_LPORT_COUNT
      2,                            // FEATURE_CTRL_INPUT_COUNT
      1,                            // FEATURE_CTRL_INPUT_NOTIFY
      2,                            // FEATURE_CTRL_MAC_LEVEL
      1,                            // FEATURE_CTRL_MAC_SAVE
      NUM_OF_MACROS,                // FEATURE_CTRL_MAC_COUNT
      NUM_OF_ITEMS_PER_MACRO,       // FEATURE_CTRL_MAC_SIZE
      1,                            // FEATURE_CTRL_MAC_START_MAN
      NUM_OF_ACCESSORY,             // FEATURE_ACCESSORY_COUNT
      0,                            // FEATURE_ACCESSORY_SURVEILLED
      NUM_OF_ASPECTS_PER_ACCESSORY, // FEATURE_ACCESSORY_MACROMAPPED
      BIDIB_STRING_MAX,             // FEATURE_BIDIB_STRING_MAX

   },
     // t_accessory_map accessory_map[NUM_OF_ACCESSORY]
  {
    {    255, // 0: current aspect (der ist per default void, damit passiert erst mal nichts)
        {   0,   1, 255, 255, 255, 255, 255, 255 }  // Macros to be executed
    },
    {    255, // 1: current aspect
        {   2,   3, 255, 255, 255, 255, 255, 255 }
    },
    {    255, // 2: current aspect
        {   4,   5, 255, 255, 255, 255, 255, 255 }
    },
    {    255, // 3: current aspect
        {   6,   7, 255, 255, 255, 255, 255, 255 }
    },
    {    255, // 4: current aspect
        {   8,   9, 255, 255, 255, 255, 255, 255 }
    },
    {    255, // 5: current aspect
        {  10,  11, 255, 255, 255, 255, 255, 255 }
    },
    {    255, // 6: current aspect
        {  12,  13, 255, 255, 255, 255, 255, 255 }
    },
    {    255, // 7: current aspect
        {  14,  15, 255, 255, 255, 255, 255, 255 }
    },
    #if (NUM_OF_ACCESSORY > 8)
    {    255, // 9: current aspect
        {  16,  17, 255, 255, 255, 255, 255, 255 }
    },
    {    255, //10: current aspect
        {  18,  19, 255, 255, 255, 255, 255, 255 }
    },
    {    255, //11: current aspect
        {  20,  21, 255, 255, 255, 255, 255, 255 }
    },
    {    255, //12: current aspect
        {  22,  23, 255, 255, 255, 255, 255, 255 }
    },
    #endif
    #if (NUM_OF_ASPECTS_PER_ACCESSORY != 8)
      #warning change size of predefine
    #endif
  },

















