//===============================================================================
//
// OpenDCC - BiDiB for MobaLiSt
//
// Copyright (c) 2010 Wolfgang Kufer
//
//
// This source file is subject of the GNU general public license 2,
// that is available at the world-wide-web at
// http://www.gnu.org/licenses/gpl.txt
//
//-------------------------------------------------------------------------------
//
// file:      hardware.c
// author:    Wolfgang Kufer
// contact:   kufer@gmx.de
// webpage:   http://www.opendcc.de
// history:   2010-12-17 V0.01 kw start
//            2011-10-11          kontrolle
// 
//===============================================================================
//
// purpose:   hardware init for s88-bidib Bridge
//
//
//===============================================================================
#include <inttypes.h>
#include <string.h>

#include <avr/io.h>
#include <avr/interrupt.h>
#include <util/delay.h>

#include "config.h"
#include "hardware.h"


void init_hardware(void)
  {
// PORT Config
	PWM_DDR1=0xFF;              // Ausgnge 1-8
	PWM_DDR2=0xFF;              // Ausgnge 9-16	
	PWM_DDR3=0xFF;              // Ausgnge 17-24


// Port D                                   // BiDiB UART
  
    DDRD  = (0<<J6)                 // in
          | (0<<J5)                 // in
          | (0<<J4)                 // in
          | (1<<LEDp_MSG )         // out
          | (1<<LEDp_PROG)          // out
          | (1<<BIDIB_DIR)          // out
          | (1<<BIDIB_TX)           // out
          | (0<<BIDIB_RX);          // in
    PORTD = (1<<J6)                 // 1 = pullup
          | (1<<J5)                 // 1 = pullup
          | (1<<J4)                 // 1 = pullup
          | (1<<LEDp_MSG)         // out
          | (1<<LEDp_PROG)          // out
          | (0<<BIDIB_DIR)          // out: enable rx
          | (0<<BIDIB_TX)           // out
          | (1<<BIDIB_RX);          // 1 = pullup


  }

void init_interrupt_controller(void)
  {
    sei();
  }

