//------------------------------------------------------------------------
//
// OpenDCC - Keboard and Rotary Encoder
//
// Copyright (c) 2008 Kufer
//
// This source file is subject of the GNU general public license 2,
// that is available at the world-wide-web at
// http://www.gnu.org/licenses/gpl.txt
//
//------------------------------------------------------------------------
//
// file:      key_codes.h
// author:    Wolfgang Kufer
// contact:   kufer@gmx.de
// webpage:   http://www.opendcc.de
// history:   2008-11-20 V0.01 kw started
//            2009-03-02 V0.02 kw added some keys
//            2009-06-30 V0.03 kw added KEY_PARSER_TIME, KEY_CONNECT
//
//------------------------------------------------------------------------
//
// purpose:   define keystroke codes
//            please use only the literals throuhout the whole code
//

#define KEY_OPT1_PRESSED    0
#define KEY_OPT2_PRESSED    1
#define KEY_OPT1_RELEASED   2
#define KEY_OPT2_RELEASED   3
#define KEY_PROG_PRESSED    4
#define KEY_PROG_RELEASED   5
#define KEY_DISCONNECT      6    // Disconnection Event
#define KEY_CONNECT         7    // Connection Event



#define  KEY_DOWN0           0
#define  KEY_DOWN1           1
#define  KEY_DOWN2           2
#define  KEY_DOWN3           3
#define  KEY_DOWN4           4
#define  KEY_DOWN5           KEY_PROG_PRESSED
#define  KEY_DOWN6           KEY_OPT1_PRESSED
#define  KEY_DOWN7           KEY_OPT2_PRESSED
#define  KEY_DOWN8           8
#define  KEY_DOWN9           9
#define  KEY_DOWN10          10
#define  KEY_DOWN11          11
#define  KEY_DOWN12          12
#define  KEY_DOWN13          13
#define  KEY_DOWN14          14
#define  KEY_DOWN15          15

#define  KEY_UP0            16
#define  KEY_UP1           17
#define  KEY_UP2           18
#define  KEY_UP3           19
#define  KEY_UP4           20
#define  KEY_UP5           KEY_PROG_RELEASED
#define  KEY_UP6           KEY_OPT1_RELEASED
#define  KEY_UP7           KEY_OPT2_RELEASED
#define  KEY_UP8           24
#define  KEY_UP9           25
#define  KEY_UP10          26
#define  KEY_UP11          27
#define  KEY_UP12          28
#define  KEY_UP13          29
#define  KEY_UP14          30
#define  KEY_UP15          31









