// OpenDCC - BiDiB for MobaLiSt
//
// LED.H

#define NUM_OF_LED  2

#define LED_MSG     0     // out, low=on
#define LED_PROG     1    // out, low=on



// runtime

#ifdef _CORTOS_H_
 t_cr_task task_led_status(void);      // must be ready at power up
#endif

// Interface

void init_led_status(void);


void led_on(unsigned char myled);

void led_half(unsigned char myled);

// make a single fast pulse, then dark
void led_fast_pulse(unsigned char myled);

// make a single fast pulse (and return to previous state)
void led_highlight(unsigned char myled);

void led_off(unsigned char myled);

// make a single pulse
void led_pulse(unsigned char myled);

// make a single pulse, dimmed
void led_half_pulse(unsigned char myled);

// make a double pulse
void led_double_pulse(unsigned char myled);

// slow blinking
void led_blinking(unsigned char myled);

void led_fast_blinking(unsigned char myled);

void led_XoooXooo(unsigned char myled);

void led_oXXXoXXX(unsigned char myled);

void led_XoooooXooooo(unsigned char myled);

void led_XooooXoooo(unsigned char myled);

void led_oXXXXXoXXXXX(unsigned char myled);

// make a series of flashes, then a longer pause
void led_fast_flash(unsigned char myled, unsigned char count);

void set_led_status(uint8_t index, uint8_t new_state);





